gr::radar::split_fsk_cc Class Reference

This block splits a FSK signal consisting of two separate signals. samp_per_freq items are taken and pushed alternating to the outputs. Discarded samples are thrown away at the beginning of samp_per_freq samples and only samp_per_freq-samp_discard are pushed to output. More...

`#include <split_fsk_cc.h>`

Inheritance diagram for gr::radar::split_fsk_cc:

## Public Types

typedef std::shared_ptr< split_fsk_cc > | sptr

## Static Public Member Functions

static sptr | make (int samp_per_freq, int samp_discard, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::split_fsk_cc.

## Detailed Description

This block splits a FSK signal consisting of two separate signals. samp_per_freq items are taken and pushed alternating to the outputs. Discarded samples are thrown away at the beginning of samp_per_freq samples and only samp_per_freq-samp_discard are pushed to output.

Parameters

  samp_per_freq | Samples per frequency
  samp_discard | Discarded samples
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<split_fsk_cc> gr::radar::split_fsk_cc::sptr

## Member Function Documentation

## make()

sptr gr::radar::split_fsk_cc::make | ( | int | samp_per_freq,
|  | int | samp_discard,
|  | const std::string & | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::split_fsk_cc.

To avoid accidental use of raw pointers, radar::split_fsk_cc's constructor is in a private implementation class. radar::split_fsk_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- split_fsk_cc.h